Bug 1122996 - Review Request: openstack-tempest - set of integration tests to be run against a live OpenStack cluster
Summary: Review Request: openstack-tempest - set of integration tests to be run agains...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 14:41 UTC by Steve Linabery
Modified: 2014-08-16 00:32 UTC (History)
4 users (show)

Fixed In Version: openstack-tempest-20140805-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 18:31:37 UTC
p: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steve Linabery 2014-07-24 14:41:33 UTC
Spec URL: http://slinabery.fedorapeople.org/openstack-tempest/openstack-tempest.spec
SRPM URL: http://slinabery.fedorapeople.org/openstack-tempest/openstack-tempest-20140703-2.fc20.src.rpm
Description: This is a set of integration tests to be run against a live OpenStack cluster, icehouse release. Tempest has batteries of tests for OpenStack API validation, Scenarios, and other specific tests useful in validating an OpenStack deployment.
Fedora Account System Username: slinabery

Comment 1 Pádraig Brady 2014-08-05 10:35:00 UTC
Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/openstack-tempest-
  icehouse/LICENSE
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

Comment 2 Steve Linabery 2014-08-06 17:17:23 UTC
Spec URL: https://slinabery.fedorapeople.org/openstack-tempest/openstack-tempest.spec
SRPM URL: https://slinabery.fedorapeople.org/openstack-tempest/openstack-tempest-20140805-1.fc20.src.rpm
Description: This is a set of integration tests to be run against a live OpenStack cluster, icehouse release. Tempest has batteries of tests for OpenStack API validation, Scenarios, and other specific tests useful in validating an OpenStack deployment.
Fedora Account System Username: slinabery

Comment 3 Pádraig Brady 2014-08-06 18:19:57 UTC
A little rpmlint you may want to clean but nothing blocking.
thanks!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Apache (v2.0) MIT/X11 (BSD like)", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 12 files have unknown
     license. Detailed output of licensecheck in /home/padraig/1122996
     -openstack-tempest/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.35 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.35
INFO: Mock Version: 1.1.35
Start: lock buildroot
INFO: installing package(s): /home/padraig/1122996-openstack-tempest/results/openstack-tempest-icehouse-20140805-1.fc20.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-20-x86_64/root/', 'install', '/home/padraig/1122996-openstack-tempest/results/openstack-tempest-icehouse-20140805-1.fc20.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: openstack-tempest-icehouse-20140805-1.fc20.noarch (/openstack-tempest-icehouse-20140805-1.fc20.noarch)
           Requires: python-ironicclient
 You could try using --skip-broken to work around the problem
Error: Package: openstack-tempest-icehouse-20140805-1.fc20.noarch (/openstack-tempest-icehouse-20140805-1.fc20.noarch)
           Requires: python-saharaclient
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: openstack-tempest-icehouse-20140805-1.fc20.noarch.rpm
          openstack-tempest-20140805-1.fc20.src.rpm
openstack-tempest-icehouse.noarch: E: non-executable-script /usr/share/openstack-tempest-icehouse/tempest/common/api_discovery.py 0644L /usr/bin/env
openstack-tempest-icehouse.noarch: E: zero-length /usr/share/openstack-tempest-icehouse/etc/whitelist.yaml
openstack-tempest-icehouse.noarch: W: hidden-file-or-dir /usr/share/openstack-tempest-icehouse/.testr.conf
2 packages and 0 specfiles checked; 2 errors, 1 warnings.




Requires
--------
openstack-tempest-icehouse (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/env
    python
    python-anyjson
    python-boto
    python-cinderclient
    python-fixtures
    python-glanceclient
    python-heatclient
    python-ironicclient
    python-iso8601
    python-junitxml
    python-keyring
    python-keystoneclient
    python-lxml
    python-netaddr
    python-neutronclient
    python-nose
    python-novaclient
    python-oslo-config
    python-paramiko
    python-pbr
    python-saharaclient
    python-swiftclient
    python-testrepository
    python-testresources
    python-testscenarios
    python-testtools
    shadow-utils



Provides
--------
openstack-tempest-icehouse:
    openstack-tempest-icehouse



Source checksums
----------------
https://github.com/redhat-openstack/tempest/archive/openstack-tempest-icehouse-20140805.tar.gz :
  CHECKSUM(SHA256) this package     : 479ef0b77571d8c22d31378f329b264973c46e53e801064c746bd08ad26e0454
  CHECKSUM(SHA256) upstream package : 479ef0b77571d8c22d31378f329b264973c46e53e801064c746bd08ad26e0454


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1122996
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Steve Linabery 2014-08-06 20:11:09 UTC
New Package SCM Request
=======================
Package Name: openstack-tempest
Short Description: set of integration tests to be run against a live OpenStack cluster
Upstream URL: https://github.com/redhat-openstack/tempest
Owners: slinabery
Branches: f20 f21 el6 epel7
InitialCC: slinabery

Comment 5 Gwyn Ciesla 2014-08-06 20:57:33 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-08-07 16:21:50 UTC
openstack-tempest-20140805-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openstack-tempest-20140805-1.fc20

Comment 7 Fedora Update System 2014-08-16 00:32:26 UTC
openstack-tempest-20140805-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.